/*
 * Copyright 2003 Draagon Software LLC. All Rights Reserved.
 *
 * This software is the proprietary information of Draagon Software LLC.
 * Use is subject to license terms.
 */
package com.draagon.meta;

/**
 * This should be thrown when a value is invalid for a field
 * of an object.
 */
@SuppressWarnings("serial")
public class InvalidValueException extends ValueException
{
  public InvalidValueException( String msg, Throwable t )
  {
    super( msg, t );
  }

  public InvalidValueException( String msg )
  {
    super( msg );
  }

  public InvalidValueException()
  {
    super( "Invalid Value" );
  }
}
